//
//  ModalViewController.swift
//  SampleMotion
//
//  Created by Dmitry Stepanets on 05.07.2018.
//  Copyright © 2018 Dmitry Stepanets. All rights reserved.
//

import UIKit
import Material

class ModalViewController: UIViewController {
    private let closeButton = IconButton(image: Icon.close)
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        closeButton.addTarget(self, action: #selector(handleCloseButton), for: .touchUpInside)
        view.backgroundColor = Color.red.lighten4
        
        prepareToolbar()
    }
    
    @objc private func handleCloseButton() {
        dismiss(animated: true)
    }
}

private extension ModalViewController {
    func prepareToolbar() {
        toolbarController?.toolbar.title = "Modal View Controller"
        toolbarController?.toolbar.leftViews = [closeButton]
    }
}
